Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
ed2k-gtk-gui + Slackware 9.1 =Problem

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Software
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
root_tux_linux



Anmeldungsdatum: 07.12.2003
Beiträge: 537
Wohnort: Schweiz

BeitragVerfasst am: 11. Apr 2004 5:30   Titel: ed2k-gtk-gui + Slackware 9.1 =Problem

Hi ich bins mal wieder

Also hab folgendes Problem wenn ich die ed2k-gtk-gui kompilieren will kommt beim make Schritt eine Fehlermeldung! also ./configure dann mach ich make und dann kommt:

gcc -g -O2 -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGNET_EXPERIMENTAL -Wall -g -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnet-2.0 -I/usr/lib/gnet-2.0/include/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DAPP_PIXMAPS='"/usr/local/share/ed2k_gui/icons"' -DLOCALEPATH='"/usr/local/share/locale/"' -o ed2k_gui blacklist.o colors.o connect_gui.o disclosure-widget.o dns_lookup.o downloads_attrib.o downloads-list.o downloads-view.o eggtrayicon.o filter.o core-conn.o http_get.o icons.o linkhandler.o logfile.o main.o mainwindow.o misc.o misc_gtk.o misc_strings.o misc_sys.o notebook.o options.o options_page.o packet.o pipe.o poll-emulator.o progressbar-renderer.o ramfile.o reconnect-dialog.o search.o search_popup.o servers.o shared_dirs.o shared_files.o shared_page.o signal_handler.o spawn_core.o stats.o status_page.o statusbar.o systray.o tag.o toolbar.o uploads.o uploads_page.o uploadstats.o gui-marshal.o -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -pthread -lgnet-2.0 -lgthread-2.0 -lglib-2.0
options_page.o(.text+0x2729): In function `options_page_make_lookfeel_icon_themes_frame':
/home/angelus/Desktop/ed2k-gtk-gui-0.6.2/ed2k_gui/options_page.c:1125: undefined reference to `GTK_OPTION_MENU'
search.o(.text+0x37be): In function `search_set_overnet_mode':
/home/angelus/Desktop/ed2k-gtk-gui-0.6.2/ed2k_gui/search.c:1777: undefined reference to `GTK_OPTION_MENU'
search.o(.text+0x3b50): In function `onOvernetStatus':
/home/angelus/Desktop/ed2k-gtk-gui-0.6.2/ed2k_gui/search.c:1897: undefined reference to `GTK_OPTION_MENU'
search.o(.text+0x3d7d): In function `search_get_extra_search_options':
/home/angelus/Desktop/ed2k-gtk-gui-0.6.2/ed2k_gui/search.c:1996: undefined reference to `GTK_OPTION_MENU'
search.o(.text+0x4698): In function `search_create_options_hbox':
/home/angelus/Desktop/ed2k-gtk-gui-0.6.2/ed2k_gui/search.c:2161: undefined reference to `GTK_OPTION_MENU'
collect2: ld returned 1 exit status
make: *** [ed2k_gui] Error 1
make: Leaving directory `/home/angelus/Desktop/ed2k-gtk-gui-0.6.2/ed2k_gui'
make: *** [all] Error 2
make: Leaving directory `/home/angelus/Desktop/ed2k-gtk-gui-0.6.2/ed2k_gui'
make: *** [all-recursive] Error 1
make: Leaving directory `/home/angelus/Desktop/ed2k-gtk-gui-0.6.2'
make: *** [all] Error 2
root@slackware:~/Desktop/ed2k-gtk-gui-0.6.2$

Tja und eben weiter komm ich nicht...

Ich brauch die GUI weil ich Overnet nich über die Shell benutzen will... unter Mandrake lauft sie ohne probleme unter Slackware nicht

Hat einer eine Idee oder eine Alternative?

ed2k-gtk-gui-0.6.2
Slackware 9.1
 
Benutzer-Profile anzeigen Private Nachricht senden MSN Messenger

confdeb
Gast





BeitragVerfasst am: 11. Apr 2004 11:17   Titel: Re: ed2k-gtk-gui + Slackware 9.1 =Problem

Die letzte Version der ed2k-Oberfläche ist fehlerhaft (steht aber auch so auf der Projekt-Homepage!). Probiere eine 5er-Version, damit sollte es gehen!
 

root_tux_linux



Anmeldungsdatum: 07.12.2003
Beiträge: 537
Wohnort: Schweiz

BeitragVerfasst am: 11. Apr 2004 12:25   Titel: Re: ed2k-gtk-gui + Slackware 9.1 =Problem

Hab ne Lösung gefunden ;)

Die Version lauft aber sie lauft nicht mit gtk 2.4! Wenn man gtk 2.4 hat muss man die CVS von der GUI nehmen dann gehts Wink
 
Benutzer-Profile anzeigen Private Nachricht senden MSN Messenger

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Software Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy